# Upload dispute file (v3) (deprecated)

This endpoint is deprecated. Use the [v4 upload dispute file endpoint](/api-reference/legacy/disputes/disputefileupload) instead.
Submit a file for disputes.
This API is not available for sandbox testing.
Use the `fileId` in the response for the dispute submission.
**NB:** A dispute referencing the returned `fileId` must be submitted no later than **two hours** after the file submission, otherwise the file will expire and must be re-submitted.

Endpoint: POST /v3/spend/profiles/{profileId}/dispute-form/file
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    Your profile ID.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (multipart/form-data):

  - `receipt` (string)
    The file to upload.

